diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/radiotap-header.h ns-3.44/src/network/utils/radiotap-header.h
--- ns-3.43/src/network/utils/radiotap-header.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/network/utils/radiotap-header.h	2025-03-09 16:55:49.679372300 -0700
@@ -479,59 +1017,65 @@
         RADIOTAP_HE_MU_OTHER_USER = 0x02000000,
         RADIOTAP_ZERO_LEN_PSDU = 0x04000000,
         RADIOTAP_LSIG = 0x08000000,
+        RADIOTAP_TLV = 0x10000000,
         RADIOTAP_EXT = 0x80000000
     };
 
-    uint16_t m_length;  //!< entire length of radiotap data + header
-    uint32_t m_present; //!< bits describing which fields follow header
+    /**
+     * @brief Radiotap extended flags.
+     */
+    enum RadiotapExtFlags : uint32_t
+    {
+        RADIOTAP_S1G = 0x00000001,
+        RADIOTAP_USIG = 0x00000002,
+        RADIOTAP_EHT_SIG = 0x00000004
+    };
+
+    uint16_t m_length{8};                   //!< entire length of radiotap data + header
+    uint32_t m_present{0};                  //!< bits describing which fields follow header
+    std::optional<uint32_t> m_presentExt{}; //!< optional extended present bitmask
+
+    uint64_t m_tsft{0}; //!< Time Synchronization Function Timer (when the first bit of the MPDU
+                        //!< arrived at the MAC)
+
+    uint8_t m_flags{FRAME_FLAG_NONE}; //!< Properties of transmitted and received frames.
+
+    uint8_t m_rate{0}; //!< TX/RX data rate in units of 500 kbps
+
+    uint8_t m_channelPad{0};         //!< Channel padding.
+    ChannelFields m_channelFields{}; //!< Channel fields.
+
+    int8_t m_antennaSignal{
+        0}; //!< RF signal power at the antenna, dB difference from an arbitrary, fixed reference.
+    int8_t m_antennaNoise{
+        0}; //!< RF noise power at the antenna, dB difference from an arbitrary, fixed reference.
+
+    McsFields m_mcsFields{}; //!< MCS fields.
+
+    uint8_t m_ampduStatusPad{0}; //!< A-MPDU Status Flags, padding before A-MPDU Status Field.
+    AmpduStatusFields m_ampduStatusFields{}; //!< A-MPDU Status fields.
+
+    uint8_t m_vhtPad{0};     //!< VHT padding.
+    VhtFields m_vhtFields{}; //!< VHT fields.
+
+    uint8_t m_hePad{0};    //!< HE padding.
+    HeFields m_heFields{}; //!< HE fields.
+
+    uint8_t m_heMuPad{0};      //!< HE MU padding.
+    HeMuFields m_heMuFields{}; //!< HE MU fields.
+
+    uint8_t m_heMuOtherUserPad{0};               //!< HE MU other user padding.
+    HeMuOtherUserFields m_heMuOtherUserFields{}; //!< HE MU other user fields.
+
+    uint8_t m_usigTlvPad{0};   //!< U-SIG TLV padding.
+    TlvFields m_usigTlv{};     //!< U-SIG TLV fields.
+    uint8_t m_usigPad{0};      //!< U-SIG padding.
+    UsigFields m_usigFields{}; //!< U-SIG fields.
 
-    uint64_t m_tsft;        //!< Time Synchronization Function Timer (when the first bit of the MPDU
-                            //!< arrived at the MAC)
-    uint8_t m_flags;        //!< Properties of transmitted and received frames.
-    uint8_t m_rate;         //!< TX/RX data rate in units of 500 kbps
-    uint8_t m_channelPad;   //!< Tx/Rx channel padding.
-    uint16_t m_channelFreq; //!< Tx/Rx frequency in MHz.
-    uint16_t m_channelFlags; //!< Tx/Rx channel flags.
-    int8_t m_antennaSignal;  //!< RF signal power at the antenna, dB difference from an arbitrary,
-                             //!< fixed reference.
-    int8_t m_antennaNoise;   //!< RF noise power at the antenna, dB difference from an arbitrary,
-                             //!< fixed reference.
-
-    uint8_t m_mcsKnown; //!< MCS Flags, known information field.
-    uint8_t m_mcsFlags; //!< MCS Flags, flags field.
-    uint8_t m_mcsRate;  //!< MCS Flags, mcs rate index.
-
-    uint8_t m_ampduStatusPad;    //!< A-MPDU Status Flags, padding before A-MPDU Status Field.
-    uint32_t m_ampduStatusRef;   //!< A-MPDU Status Flags, reference number.
-    uint16_t m_ampduStatusFlags; //!< A-MPDU Status Flags, information about the received A-MPDU.
-    uint8_t m_ampduStatusCRC;    //!< A-MPDU Status Flags, delimiter CRC value.
-
-    uint8_t m_vhtPad;         //!< VHT padding.
-    uint16_t m_vhtKnown;      //!< VHT known field.
-    uint8_t m_vhtFlags;       //!< VHT flags field.
-    uint8_t m_vhtBandwidth;   //!< VHT bandwidth field.
-    uint8_t m_vhtMcsNss[4];   //!< VHT mcs_nss field.
-    uint8_t m_vhtCoding;      //!< VHT coding field.
-    uint8_t m_vhtGroupId;     //!< VHT group_id field.
-    uint16_t m_vhtPartialAid; //!< VHT partial_aid field.
-
-    uint8_t m_hePad;    //!< HE padding.
-    uint16_t m_heData1; //!< HE data1 field.
-    uint16_t m_heData2; //!< HE data2 field.
-    uint16_t m_heData3; //!< HE data3 field.
-    uint16_t m_heData4; //!< HE data4 field.
-    uint16_t m_heData5; //!< HE data5 field.
-    uint16_t m_heData6; //!< HE data6 field.
-
-    uint8_t m_heMuPad;     //!< HE MU padding.
-    uint16_t m_heMuFlags1; //!< HE MU flags1 field.
-    uint16_t m_heMuFlags2; //!< HE MU flags2 field.
-
-    uint8_t m_heMuOtherUserPad;    //!< HE MU other user padding.
-    uint16_t m_heMuPerUser1;       //!< HE MU per_user_1 field.
-    uint16_t m_heMuPerUser2;       //!< HE MU per_user_2 field.
-    uint8_t m_heMuPerUserPosition; //!< HE MU per_user_position field.
-    uint8_t m_heMuPerUserKnown;    //!< HE MU per_user_known field.
+    uint8_t m_ehtTlvPad{0};  //!< EHT TLV padding.
+    TlvFields m_ehtTlv{};    //!< EHT TLV fields.
+    uint8_t m_ehtPad{0};     //!< EHT padding.
+    EhtFields m_ehtFields{}; //!< EHT fields.
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/sequence-number.h ns-3.44/src/network/utils/sequence-number.h
--- ns-3.43/src/network/utils/sequence-number.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/network/utils/sequence-number.h	2025-03-09 16:55:49.679372300 -0700
@@ -19,14 +19,14 @@
 {
 
 /**
- * \ingroup network
- * \defgroup seq-counters Sequence Counter
- * \brief "sequence number" classes
+ * @ingroup network
+ * @defgroup seq-counters Sequence Counter
+ * @brief "sequence number" classes
  */
 
 /**
- * \ingroup seq-counters
- * \brief Generic "sequence number" class
+ * @ingroup seq-counters
+ * @brief Generic "sequence number" class
  *
  * This class can be used to handle sequence numbers.  In networking
  * protocols, sequence numbers are fixed precision integer numbers
@@ -56,8 +56,8 @@
     }
 
     /**
-     * \brief Constructs a SequenceNumber with the given value
-     * \param value the sequence number value
+     * @brief Constructs a SequenceNumber with the given value
+     * @param value the sequence number value
      */
     explicit SequenceNumber(NUMERIC_TYPE value)
         : m_value(value)
@@ -65,8 +65,8 @@
     }
 
     /**
-     * \brief Constructs a SequenceNumber from a copy
-     * \param value sequence number to copy
+     * @brief Constructs a SequenceNumber from a copy
+     * @param value sequence number to copy
      */
     SequenceNumber(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& value)
         : m_value(value.m_value)
@@ -74,9 +74,9 @@
     }
 
     /**
-     * \brief Constructs a SequenceNumber from an assignment of given value
-     * \param value sequence number to copy
-     * \returns reference to the assignee
+     * @brief Constructs a SequenceNumber from an assignment of given value
+     * @param value sequence number to copy
+     * @returns reference to the assignee
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& operator=(NUMERIC_TYPE value)
     {
@@ -85,9 +85,9 @@
     }
 
     /**
-     * \brief Constructs a SequenceNumber from an assignment of another sequence number
-     * \param value sequence number to copy
-     * \returns reference to the assignee
+     * @brief Constructs a SequenceNumber from an assignment of another sequence number
+     * @param value sequence number to copy
+     * @returns reference to the assignee
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& operator=(
         const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& value)
@@ -105,8 +105,8 @@
 #endif
 
     /**
-     * \brief Extracts the numeric value of the sequence number
-     * \returns the sequence number value
+     * @brief Extracts the numeric value of the sequence number
+     * @returns the sequence number value
      */
     NUMERIC_TYPE GetValue() const
     {
@@ -114,8 +114,8 @@
     }
 
     /**
-     * \brief Prefix increment operator
-     * \returns incremented sequence number
+     * @brief Prefix increment operator
+     * @returns incremented sequence number
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE> operator++()
     {
@@ -124,8 +124,8 @@
     }
 
     /**
-     * \brief Postfix increment operator
-     * \returns incremented sequence number
+     * @brief Postfix increment operator
+     * @returns incremented sequence number
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE> operator++(int)
     {
@@ -135,8 +135,8 @@
     }
 
     /**
-     * \brief Prefix decrement operator
-     * \returns decremented sequence number
+     * @brief Prefix decrement operator
+     * @returns decremented sequence number
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE> operator--()
     {
@@ -145,8 +145,8 @@
     }
 
     /**
-     * \brief Postfix decrement operator
-     * \returns decremented sequence number
+     * @brief Postfix decrement operator
+     * @returns decremented sequence number
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE> operator--(int)
     {
@@ -156,9 +156,9 @@
     }
 
     /**
-     * \brief Plus equals operator
-     * \param value value to add to sequence number
-     * \returns incremented sequence number
+     * @brief Plus equals operator
+     * @param value value to add to sequence number
+     * @returns incremented sequence number
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& operator+=(SIGNED_TYPE value)
     {
@@ -167,9 +167,9 @@
     }
 
     /**
-     * \brief Minus equals operator
-     * \param value value to subtract from sequence number
-     * \returns decremented sequence number
+     * @brief Minus equals operator
+     * @param value value to subtract from sequence number
+     * @returns decremented sequence number
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& operator-=(SIGNED_TYPE value)
     {
@@ -178,9 +178,9 @@
     }
 
     /**
-     * \brief Operator defining addition of two sequence numbers
-     * \param other sequence number added to this
-     * \returns sequence number representing sum
+     * @brief Operator defining addition of two sequence numbers
+     * @param other sequence number added to this
+     * @returns sequence number representing sum
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE> operator+(
         const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
@@ -189,9 +189,9 @@
     }
 
     /**
-     * \brief Addition operator for adding numeric value to sequence number
-     * \param delta value to add to sequence number
-     * \returns sequence number representing sum
+     * @brief Addition operator for adding numeric value to sequence number
+     * @param delta value to add to sequence number
+     * @returns sequence number representing sum
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE> operator+(SIGNED_TYPE delta) const
     {
@@ -199,9 +199,9 @@
     }
 
     /**
-     * \brief Subtraction operator for subtracting numeric value from sequence number
-     * \param delta value to subtract from sequence number
-     * \returns sequence number representing difference
+     * @brief Subtraction operator for subtracting numeric value from sequence number
+     * @param delta value to subtract from sequence number
+     * @returns sequence number representing difference
      */
     SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE> operator-(SIGNED_TYPE delta) const
     {
@@ -209,9 +209,9 @@
     }
 
     /**
-     * \brief Subtraction operator for subtracting sequence number from sequence number
-     * \param other sequence number to subtract from this sequence number
-     * \returns numeric value representing the difference
+     * @brief Subtraction operator for subtracting sequence number from sequence number
+     * @param other sequence number to subtract from this sequence number
+     * @returns numeric value representing the difference
      */
     SIGNED_TYPE operator-(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
     {
@@ -264,8 +264,8 @@
      *      S1 > S2 AND S1 - S2 <= MAXVALUE/2 OR
      *      S2 > S1 AND S2 - S1 > MAXVALUE/2
      *
-     * \param other sequence number to compare to this one
-     * \returns true if this sequence number is greater than other
+     * @param other sequence number to compare to this one
+     * @returns true if this sequence number is greater than other
      */
     bool operator>(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
     {
@@ -276,9 +276,9 @@
     }
 
     /**
-     * \brief Equality operator for comparing sequence number
-     * \param other sequence number to compare to this sequence number
-     * \returns true if the sequence numbers are equal
+     * @brief Equality operator for comparing sequence number
+     * @param other sequence number to compare to this sequence number
+     * @returns true if the sequence numbers are equal
      */
     bool operator==(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
     {
@@ -286,9 +286,9 @@
     }
 
     /**
-     * \brief Inequality operator for comparing sequence numbers
-     * \param other sequence number to compare to this sequence number
-     * \returns true if the sequence numbers are not equal
+     * @brief Inequality operator for comparing sequence numbers
+     * @param other sequence number to compare to this sequence number
+     * @returns true if the sequence numbers are not equal
      */
     bool operator!=(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
     {
@@ -296,9 +296,9 @@
     }
 
     /**
-     * \brief Less than or equal operator for comparing sequence numbers
-     * \param other sequence number to compare to this sequence number
-     * \returns true if this sequence number is less than or equal to other
+     * @brief Less than or equal operator for comparing sequence numbers
+     * @param other sequence number to compare to this sequence number
+     * @returns true if this sequence number is less than or equal to other
      */
     bool operator<=(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
     {
@@ -306,9 +306,9 @@
     }
 
     /**
-     * \brief Greater than or equal operator for comparing sequence numbers
-     * \param other sequence number to compare to this sequence number
-     * \returns true if this sequence number is greater than or equal to other
+     * @brief Greater than or equal operator for comparing sequence numbers
+     * @param other sequence number to compare to this sequence number
+     * @returns true if this sequence number is greater than or equal to other
      */
     bool operator>=(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
     {
@@ -316,9 +316,9 @@
     }
 
     /**
-     * \brief Less than operator for comparing sequence numbers
-     * \param other sequence number to compare to this sequence number
-     * \returns true if this sequence number is less than other
+     * @brief Less than operator for comparing sequence numbers
+     * @param other sequence number to compare to this sequence number
+     * @returns true if this sequence number is less than other
      */
     bool operator<(const SequenceNumber<NUMERIC_TYPE, SIGNED_TYPE>& other) const
     {
@@ -326,20 +326,20 @@
     }
 
     /**
-     * \brief For printing sequence number
-     * \param os output stream
-     * \param val sequence number to display
-     * \returns output stream os
+     * @brief For printing sequence number
+     * @param os output stream
+     * @param val sequence number to display
+     * @returns output stream os
      */
     template <typename NUMERIC_TYPE2, typename SIGNED_TYPE2>
     friend std::ostream& operator<<(std::ostream& os,
                                     const SequenceNumber<NUMERIC_TYPE2, SIGNED_TYPE2>& val);
 
     /**
-     * \brief For loading sequence number from input streams
-     * \param is input stream
-     * \param val sequence number to load
-     * \returns input stream is
+     * @brief For loading sequence number from input streams
+     * @param is input stream
+     * @param val sequence number to load
+     * @returns input stream is
      */
     template <typename NUMERIC_TYPE2, typename SIGNED_TYPE2>
     friend std::istream& operator>>(std::istream& is,
@@ -379,11 +379,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param val the value
- * \returns a reference to the stream
+ * @param os the stream
+ * @param val the value
+ * @returns a reference to the stream
  */
 template <typename NUMERIC_TYPE, typename SIGNED_TYPE>
 std::ostream&
@@ -394,11 +394,11 @@
 }
 
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param val the value
- * \returns a reference to the stream
+ * @param is the stream
+ * @param val the value
+ * @returns a reference to the stream
  */
 template <typename NUMERIC_TYPE, typename SIGNED_TYPE>
 std::istream&
@@ -409,17 +409,17 @@
 }
 
 /**
- * \ingroup seq-counters
+ * @ingroup seq-counters
  * 32 bit Sequence number.
  */
 typedef SequenceNumber<uint32_t, int32_t> SequenceNumber32;
 /**
- * \ingroup seq-counters
+ * @ingroup seq-counters
  * 16 bit Sequence number.
  */
 typedef SequenceNumber<uint16_t, int16_t> SequenceNumber16;
 /**
- * \ingroup seq-counters
+ * @ingroup seq-counters
  * 8 bit Sequence number.
  */
 typedef SequenceNumber<uint8_t, int8_t> SequenceNumber8;
@@ -428,21 +428,21 @@
 {
 
 /**
- * \ingroup seq-counters
+ * @ingroup seq-counters
  * TracedValue callback signature for SequenceNumber32
  *
- * \param [in] oldValue original value of the traced variable
- * \param [in] newValue new value of the traced variable
+ * @param [in] oldValue original value of the traced variable
+ * @param [in] newValue new value of the traced variable
  */
 typedef void (*SequenceNumber32)(SequenceNumber32 oldValue, SequenceNumber32 newValue);
 
 } // namespace TracedValueCallback
 
 /**
- * \ingroup seq-counters
+ * @ingroup seq-counters
  *
  * ns3::TypeNameGet<SequenceNumber32>() specialization.
- * \returns The type name as a string.
+ * @returns The type name as a string.
  */
 TYPENAMEGET_DEFINE(SequenceNumber32);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/simple-channel.h ns-3.44/src/network/utils/simple-channel.h
--- ns-3.43/src/network/utils/simple-channel.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/network/utils/simple-channel.h	2025-03-09 16:55:49.679372300 -0700
@@ -23,8 +23,8 @@
 class Packet;
 
 /**
- * \ingroup channel
- * \brief A simple channel, for simple things and testing.
+ * @ingroup channel
+ * @brief A simple channel, for simple things and testing.
  *
  * This channel doesn't check for packet collisions and it
  * does not introduce any error.
@@ -38,8 +38,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     SimpleChannel();
@@ -49,11 +49,11 @@
      * scheduled for all net device connected to the channel other
      * than the net device who sent the packet
      *
-     * \param p packet to be sent
-     * \param protocol protocol number
-     * \param to address to send packet to
-     * \param from address the packet is coming from
-     * \param sender netdevice who sent the packet
+     * @param p packet to be sent
+     * @param protocol protocol number
+     * @param to address to send packet to
+     * @param from address the packet is coming from
+     * @param sender netdevice who sent the packet
      *
      */
     virtual void Send(Ptr<Packet> p,
@@ -65,7 +65,7 @@
     /**
      * Attached a net device to the channel.
      *
-     * \param device the device to attach to the channel
+     * @param device the device to attach to the channel
      */
     virtual void Add(Ptr<SimpleNetDevice> device);
 
@@ -73,8 +73,8 @@
      * Blocks the communications from a NetDevice to another NetDevice.
      * The block is unidirectional
      *
-     * \param from the device to BlackList
-     * \param to the device wanting to block the other one
+     * @param from the device to BlackList
+     * @param to the device wanting to block the other one
      */
     virtual void BlackList(Ptr<SimpleNetDevice> from, Ptr<SimpleNetDevice> to);
 
@@ -82,8 +82,8 @@
      * Un-Blocks the communications from a NetDevice to another NetDevice.
      * The block is unidirectional
      *
-     * \param from the device to BlackList
-     * \param to the device wanting to block the other one
+     * @param from the device to BlackList
+     * @param to the device wanting to block the other one
      */
     virtual void UnBlackList(Ptr<SimpleNetDevice> from, Ptr<SimpleNetDevice> to);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/simple-net-device.cc ns-3.44/src/network/utils/simple-net-device.cc
--- ns-3.43/src/network/utils/simple-net-device.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/network/utils/simple-net-device.cc	2025-03-09 16:55:49.679372300 -0700
@@ -27,14 +27,14 @@
 NS_LOG_COMPONENT_DEFINE("SimpleNetDevice");
 
 /**
- * \brief SimpleNetDevice tag to store source, destination and protocol of each packet.
+ * @brief SimpleNetDevice tag to store source, destination and protocol of each packet.
  */
 class SimpleTag : public Tag
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -45,34 +45,34 @@
 
     /**
      * Set the source address
-     * \param src source address
+     * @param src source address
      */
     void SetSrc(Mac48Address src);
     /**
      * Get the source address
-     * \return the source address
+     * @return the source address
      */
     Mac48Address GetSrc() const;
 
     /**
      * Set the destination address
-     * \param dst destination address
+     * @param dst destination address
      */
     void SetDst(Mac48Address dst);
     /**
      * Get the destination address
-     * \return the destination address
+     * @return the destination address
      */
     Mac48Address GetDst() const;
 
     /**
      * Set the protocol number
-     * \param proto protocol number
+     * @param proto protocol number
      */
     void SetProto(uint16_t proto);
     /**
      * Get the protocol number
-     * \return the protocol number
+     * @return the protocol number
      */
     uint16_t GetProto() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/simple-net-device.h ns-3.44/src/network/utils/simple-net-device.h
--- ns-3.43/src/network/utils/simple-net-device.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/network/utils/simple-net-device.h	2025-03-09 16:55:49.679372300 -0700
@@ -27,7 +27,7 @@
 class ErrorModel;
 
 /**
- * \ingroup netdevice
+ * @ingroup netdevice
  *
  * This device assumes 48-bit mac addressing; there is also the possibility to
  * add an ErrorModel if you want to force losses on the device.
@@ -38,14 +38,14 @@
  *
  * By default the device is in Broadcast mode, with infinite bandwidth.
  *
- * \brief simple net device for simple things and testing
+ * @brief simple net device for simple things and testing
  */
 class SimpleNetDevice : public NetDevice
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     SimpleNetDevice();
@@ -55,10 +55,10 @@
      * SimpleNetDevice receives packets from its connected channel
      * and then forwards them by calling its rx callback method
      *
-     * \param packet Packet received on the channel
-     * \param protocol protocol number
-     * \param to address packet should be sent to
-     * \param from address packet was sent from
+     * @param packet Packet received on the channel
+     * @param protocol protocol number
+     * @param to address packet should be sent to
+     * @param from address packet was sent from
      */
     void Receive(Ptr<Packet> packet, uint16_t protocol, Mac48Address to, Mac48Address from);
 
@@ -66,7 +66,7 @@
      * Attach a channel to this net device.  This will be the
      * channel the net device sends on
      *
-     * \param channel channel to assign to this net device
+     * @param channel channel to assign to this net device
      *
      */
     void SetChannel(Ptr<SimpleChannel> channel);
@@ -74,14 +74,14 @@
     /**
      * Attach a queue to the SimpleNetDevice.
      *
-     * \param queue Ptr to the new queue.
+     * @param queue Ptr to the new queue.
      */
     void SetQueue(Ptr<Queue<Packet>> queue);
 
     /**
      * Get a copy of the attached Queue.
      *
-     * \returns Ptr to the queue.
+     * @returns Ptr to the queue.
      */
     Ptr<Queue<Packet>> GetQueue() const;
 
@@ -91,8 +91,8 @@
      * The SimpleNetDevice may optionally include an ErrorModel in
      * the packet receive chain.
      *
-     * \see ErrorModel
-     * \param em Ptr to the ErrorModel.
+     * @see ErrorModel
+     * @param em Ptr to the ErrorModel.
      */
     void SetReceiveErrorModel(Ptr<ErrorModel> em);
 
@@ -146,7 +146,7 @@
      * really have a Phy model, we choose this trace source name for alignment
      * with other trace sources.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxDropTrace;
 
@@ -161,7 +161,7 @@
     /**
      * The FinishTransmission method is used internally to finish the process
      * of sending a packet out on the channel.
-     * \param packet The packet to send on the channel
+     * @param packet The packet to send on the channel
      */
     void FinishTransmission(Ptr<Packet> packet);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/sll-header.h ns-3.44/src/network/utils/sll-header.h
--- ns-3.43/src/network/utils/sll-header.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/network/utils/sll-header.h	2025-03-09 16:55:49.679372300 -0700
@@ -17,16 +17,16 @@
 {
 
 /**
-  * \ingroup packet
+  * @ingroup packet
   *
-  * \brief Protocol header serialization and deserialization.
+  * @brief Protocol header serialization and deserialization.
   *
   * Libpcap sometimes add an additional header to provide information that would be
   * lost otherwise due to the link-layer/capture mechanism, for instance when capturing from
   * "nlmon" device on linux
   *
-  * \see http://www.tcpdump.org/linktypes/LINKTYPE_LINUX_SLL.html
-  * \see https://wiki.wireshark.org/SLL
+  * @see http://www.tcpdump.org/linktypes/LINKTYPE_LINUX_SLL.html
+  * @see https://wiki.wireshark.org/SLL
   *
   \verbatim
     +---------------------------+
@@ -67,8 +67,8 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -76,24 +76,24 @@
     ~SllHeader() override;
 
     /**
-     * \return ARP header type field in network byte order
+     * @return ARP header type field in network byte order
      *  The ARPHRD_ type field is in network byte order; it contains a Linux ARPHRD_ value for the
      * link-layer device type.
      */
     uint16_t GetArpType() const;
 
     /**
-     * \param arphdType ARP protocol hardware identifier
+     * @param arphdType ARP protocol hardware identifier
      */
     void SetArpType(uint16_t arphdType);
 
     /**
-     * \return Packet type
+     * @return Packet type
      */
     PacketType GetPacketType() const;
 
     /**
-     * \param type Depends on source and address of the packet
+     * @param type Depends on source and address of the packet
      */
     void SetPacketType(PacketType type);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/timestamp-tag.h ns-3.44/src/network/utils/timestamp-tag.h
--- ns-3.43/src/network/utils/timestamp-tag.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/network/utils/timestamp-tag.h	2025-03-09 16:55:49.679372300 -0700
@@ -28,20 +28,20 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Construct a new TimestampTag object
+     * @brief Construct a new TimestampTag object
      */
     TimestampTag();
 
     /**
-     * \brief Construct a new TimestampTag object with the given timestamp
-     * \param timestamp The timestamp
+     * @brief Construct a new TimestampTag object with the given timestamp
+     * @param timestamp The timestamp
      */
     TimestampTag(Time timestamp);
 
@@ -51,14 +51,14 @@
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the Timestamp object
-     * \return Time for this tag
+     * @brief Get the Timestamp object
+     * @return Time for this tag
      */
     Time GetTimestamp() const;
 
     /**
-     * \brief Set the Timestamp object
-     * \param timestamp Timestamp to assign to tag
+     * @brief Set the Timestamp object
+     * @param timestamp Timestamp to assign to tag
      */
     void SetTimestamp(Time timestamp);
 
